TTYPLAY(1)

NAME
ttyplay - player of the tty session recorded by ttyrec

SYNOPSIS
ttyplay [-s SPEED] [-n] [-p] file

DESCRIPTION
Ttyplay plays the tty session in file, which was recorded previously by ttyrec(1).

When -p option is given, ttyplay output the file as it grows. It means that you can see the "live" shell session running by another user.

If you hit any key during playback, it will go right to the next character typed. This is handy when examining sessions where a user spends a lot of time at a prompt.

Additionally, there are some special keys defined:

+ or f
     double the speed of playback.

- or s
     halve the speed of playback.

0   set playback speed to 0, pausing playback.

1   set playback to speed 1.0 again.

q   quit.

OPTIONS

-s SPEED
    multiply the playing speed by SPEED (default is 1).

-n  no wait mode. Ignore the timing information in file.

-p  peek another person's tty session.

SEE ALSO
script(1), ttyrec(1), ttytime(1)